Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List email inboxes

GET/workspaces/{organizationId}/email-inboxes
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Responses
200

Email inboxes list

inboxesobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
addressstringrequired
teamIdstring | nullrequired
projectIdstring | nullrequired
customerIdstring | nullrequired
enabledbooleanrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/email-inboxes' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "inboxes": [
    {
      "id": "string",
      "organizationId": "string",
      "address": "string",
      "teamId": "string",
      "projectId": "string",
      "customerId": "string",
      "enabled": true,
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}

Was this page helpful?